Groovy 1.7.10

## org.codehaus.groovy.transform.powerassert
[Java] Class Value

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.Value

    public class Value
    extends Object

A value recorded during evaluation of an assertion, along with the column it is associated with in the assertion's normalized source text.

Authors:
  Peter Niederwieser

Constructor Summary
`Value(Object value, int column)`

Method Summary
`int` | `getColumn()`
`Object` | `getValue()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### Value

    public Value(Object value, int column)

Method Detail

### getColumn

    public int getColumn()

### getValue

    public Object getValue()

Copyright © 2003-2010 The Codehaus. All rights reserved.